components:
  schemas:
    NetworkAdapter_v1_0_0_ControllerCapabilities:
      additionalProperties: true
      properties:
        DataCenterBridging:
          $ref: '#/components/schemas/NetworkAdapter_v1_0_0_DataCenterBridging'
          description: Data Center Bridging (DCB) for this controller.
          nullable: true
          x-longDescription: This object shall contain capability, status, and configuration
            values related to Data Center Bridging (DCB) for this controller.
        NPIV:
          $ref: '#/components/schemas/NetworkAdapter_v1_0_0_NPIV'
          description: N_Port ID Virtualization (NPIV) capabilties for this controller.
          nullable: true
          x-longDescription: This object shall contain N_Port ID Virtualization (NPIV)
            capabilties for this controller.
        NetworkDeviceFunctionCount:
          description: The maximum number of physical functions available on this
            controller.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: The value of this property shall be the number of physical
            functions available on this controller.
        NetworkPortCount:
          description: The number of physical ports on this controller.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: The value of this property shall be the number of physical
            ports on this controller.
        VirtualizationOffload:
          $ref: '#/components/schemas/NetworkAdapter_v1_0_0_VirtualizationOffload'
          description: Virtualization offload for this controller.
          nullable: true
          x-longDescription: This object shall contain capability, status, and configuration
            values related to virtualization offload for this controller.
      type: object
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    NetworkAdapter_v1_0_0_Controllers:
      additionalProperties: true
      properties:
        ControllerCapabilities:
          $ref: '#/components/schemas/NetworkAdapter_v1_0_0_ControllerCapabilities'
          description: The capabilities of this controller.
          nullable: true
          x-longDescription: The value of this property shall contain the capabilities
            of this controller.
        FirmwarePackageVersion:
          description: The version of the user-facing firmware package.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: The value of this property shall be the version number
            of the user-facing firmware package.
        Links:
          additionalProperties: false
          description: Links.
          properties:
            NetworkDeviceFunctions:
              description: Contains the members of this collection.
              items:
                $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
              readOnly: true
              type: array
            NetworkDeviceFunctions@odata.count:
              $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_count
            NetworkDeviceFunctions@odata.navigationLink:
              format: uri
              type: string
            NetworkPorts:
              description: Contains the members of this collection.
              items:
                $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
              readOnly: true
              type: array
            NetworkPorts@odata.count:
              $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_count
            NetworkPorts@odata.navigationLink:
              format: uri
              type: string
            Oem:
              $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
              description: Oem extension object.
              x-longDescription: This object represents the Oem property.  All values
                for resources described by this schema shall comply to the requirements
                as described in the Redfish specification.
            PCIeDevices:
              description: Contains the members of this collection.
              items:
                $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
              readOnly: true
              type: array
            PCIeDevices@odata.count:
              $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_count
            PCIeDevices@odata.navigationLink:
              format: uri
              type: string
          type: object
          x-longDescription: Links for this controller.
          x-patternProperties:
            ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
              description: This property shall specify a valid odata or Redfish property.
      type: object
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    NetworkAdapter_v1_0_0_DataCenterBridging:
      additionalProperties: true
      properties:
        Capable:
          description: Whether this controller is capable of Data Center Bridging
            (DCB).
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: The value of this property shall be a boolean indicating
            whether this controller is capable of Data Center Bridging (DCB).
      type: object
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    NetworkAdapter_v1_0_0_NPIV:
      additionalProperties: true
      properties:
        MaxDeviceLogins:
          description: The maximum number of N_Port ID Virtualization (NPIV) logins
            allowed simultaneously from all ports on this controller.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: The value of this property shall be the maximum number
            of N_Port ID Virtualization (NPIV) logins allowed simultaneously from
            all ports on this controller.
        MaxPortLogins:
          description: The maximum number of N_Port ID Virtualization (NPIV) logins
            allowed per physical port on this controller.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: The value of this property shall be the maximum number
            of N_Port ID Virtualization (NPIV) logins allowed per physical port on
            this controller.
      type: object
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    NetworkAdapter_v1_0_0_NetworkAdapter:
      additionalProperties: false
      description: A NetworkAdapter represents the physical network adapter capable
        of connecting to a computer network.  Examples include but are not limited
        to Ethernet, Fibre Channel, and converged network adapters.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_context
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_type
        Actions:
          additionalProperties: false
          description: The available actions for this resource.
          properties:
            '#NetworkAdapter.ResetSettingsToDefault':
              $ref: '#/components/schemas/NetworkAdapter_v1_0_0_ResetSettingsToDefault'
            Oem:
              additionalProperties: true
              properties: {}
              type: object
              x-patternProperties:
                ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
                  description: This property shall specify a valid odata or Redfish
                    property.
          type: object
          x-longDescription: The Actions property shall contain the available actions
            for this resource.
          x-patternProperties:
            ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
              description: This property shall specify a valid odata or Redfish property.
        Controllers:
          description: The set of network controllers ASICs that make up this NetworkAdapter.
          items:
            $ref: '#/components/schemas/NetworkAdapter_v1_0_0_Controllers'
            nullable: true
          type: array
          x-longDescription: The value of this property shall contain the set of network
            controllers ASICs that make up this NetworkAdapter.
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Manufacturer:
          description: The manufacturer or OEM of this network adapter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: The value of this property shall contain a value that
            represents the manufacturer of the network adapter.
        Model:
          description: The model string for this network adapter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: The value of this property shall contain the information
            about how the manufacturer references this network adapter.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        NetworkDeviceFunctions:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: Contains the members of this collection.
          readOnly: true
        NetworkPorts:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: Contains the members of this collection.
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: This is the manufacturer/provider specific extension moniker
            used to divide the Oem object into sections.
          x-longDescription: The value of this string shall be of the format for the
            reserved word *Oem*.
        PartNumber:
          description: Part number for this network adapter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: The value of this property shall contain the part number
            for the network adapter as defined by the manufacturer.
        SKU:
          description: The manufacturer SKU for this network adapter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: The value of this property shall contain the Stock Keeping
            Unit (SKU) for the network adapter.
        SerialNumber:
          description: The serial number for this network adapter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: The value of this property shall contain the serial number
            for the network adapter.
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          nullable: true
      required:
      - Id
      - Name
      type: object
      x-longDescription: A NetworkAdapter represents the physical network adapter
        capable of connecting to a computer network.  Examples include but are not
        limited to Ethernet, Fibre Channel, and converged network adapters.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    NetworkAdapter_v1_0_0_ResetSettingsToDefault:
      additionalProperties: false
      description: This action is to clear the settings back to factory defaults.
      properties:
        target:
          description: Link to invoke action
          format: uri
          type: string
        title:
          description: Friendly action name
          type: string
      type: object
      x-longDescription: This action shall perform a reset of all active and pending
        settings back to factory default settings upon reset of the network adapter.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    NetworkAdapter_v1_0_0_SRIOV:
      additionalProperties: true
      properties:
        SRIOVVEPACapable:
          description: Whether this controller supports Single Root Input/Output Virtualization
            (SR-IOV) in Virtual Ethernet Port Aggregator (VEPA) mode.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: The value of this property shall be a boolean indicating
            whether this controller supports Single Root Input/Output Virtualization
            (SR-IOV) in Virtual Ethernet Port Aggregator (VEPA) mode.
      type: object
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    NetworkAdapter_v1_0_0_VirtualFunction:
      additionalProperties: true
      properties:
        DeviceMaxCount:
          description: The maximum number of Virtual Functions (VFs) supported by
            this controller.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: The value of this property shall be the maximum number
            of Virtual Functions (VFs) supported by this controller.
        MinAssignmentGroupSize:
          description: The minimum number of Virtual Functions (VFs) that can be allocated
            or moved between physical functions for this controller.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: The value of this property shall be the minimum number
            of Virtual Functions (VFs) that can be allocated or moved between physical
            functions for this controller.
        NetworkPortMaxCount:
          description: The maximum number of Virtual Functions (VFs) supported per
            network port for this controller.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: The value of this property shall be the maximum number
            of Virtual Functions (VFs) supported per network port for this controller.
      type: object
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    NetworkAdapter_v1_0_0_VirtualizationOffload:
      additionalProperties: true
      properties:
        SRIOV:
          $ref: '#/components/schemas/NetworkAdapter_v1_0_0_SRIOV'
          description: Single-Root Input/Output Virtualization (SR-IOV) capabilities.
          nullable: true
          x-longDescription: This object shall contain Single-Root Input/Output Virtualization
            (SR-IOV) capabilities.
        VirtualFunction:
          $ref: '#/components/schemas/NetworkAdapter_v1_0_0_VirtualFunction'
          nullable: true
      type: object
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
title: '#NetworkAdapter.v1_0_0.NetworkAdapter'
x-copyright: Copyright 2014-2016 Distributed Management Task Force, Inc. (DMTF). For
  the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
